Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfStatusType

    java.lang.Object
      java.lang.Enum<OdfStatusType>
          org.odftoolkit.odfdom.dom.type.table.OdfStatusType

All Implemented Interfaces:
  Serializable, Comparable<OdfStatusType>

    public enum OdfStatusType

extends Enum<OdfStatusType>

DOM implementation of OpenDocument attribute table:status.

Enum Constant Summary
`DISABLE`
`ENABLE`

Method Summary
`static OdfStatusType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfStatusType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLE

    public static final OdfStatusType DISABLE

### ENABLE

    public static final OdfStatusType ENABLE

Method Detail

### values

    public static OdfStatusType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfStatusType c : OdfStatusType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfStatusType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfStatusType>`
  Returns:
    return the name of OdfStatusType

### toString

    public static String toString(OdfStatusType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfStatusType, see table:status
  Returns:
    return the name of OdfStatusType

### enumValueOf

    public static OdfStatusType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfStatusType
  Returns:
    return the constant of OdfStatusType, see table:status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.